Bug 171934 - [PATCH] dns/ldns: fix OptionsNG
Summary: [PATCH] dns/ldns: fix OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 03:30 UTC by takefu
Modified: 2012-10-24 06:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-09-25 03:30:18 UTC

Fix: 

--- dns/ldns.patch begins here ---
 diff -ruN /usr/ports/dns/ldns/Makefile dns/ldns/Makefile
 --- /usr/ports/dns/ldns/Makefile	2012-05-28 13:51:14.000000000 +0900
 +++ dns/ldns/Makefile	2012-09-25 09:25:58.000000000 +0900
 @@ -22,15 +22,17 @@
  USE_OPENSSL=	yes
  USE_LDCONFIG=	yes
 
 -OPTIONS=	DOCS "With documentation" Off \
 -		EXAMPLES "With example programs" On \
 -		DRILL "With drill program" On \
 -		GOST "GOST signatures enabled (requires openssl >= 1.0.0)" Off \
 -		PYLDNS "Build python bindings" Off
 +OPTIONS_DEFINE=	DOCS EXAMPLES DRILL GOST PYLDNS
 +OPTIONS_SET=	EXAMPLES DRILL
 +OPTIONS_UNSET=	DOCS GOST PYLDNS
 +
 +DRILL_DESC=	"With drill program"
 +GOST_DESC=	"GOST signatures enabled (requires openssl >= 1.0.0)"
 +PYLDNS_DESC=	${PYTHON_DESC}
 
  .include <bsd.port.options.mk>
 
 -.if defined(WITH_PYLDNS)
 +.if ${PORT_OPTIONS:MPYLDNS}
  USE_PYTHON=	yes
  .endif
 
 @@ -39,7 +41,7 @@
  ALL_TARGET=	all
  INSTALL_TARGET=	install-lib install-h
 
 -.if defined(WITH_DOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen
  ALL_TARGET+=	doc
  INSTALL_TARGET+=install-manpages
 @@ -232,21 +234,21 @@
  MAN1+=	ldns-config.1
  .endif
 
 -.if defined(WITH_GOST)
 +.if ${PORT_OPTIONS:MGOST}
  BUILD_DEPENDS+=	openssl>=1.0:${PORTSDIR}/security/openssl
  .else
  NO_GOST=	--disable-gost
  CONFIGURE_ARGS+=${NO_GOST}
  .endif
 
 -.if defined(WITH_DRILL)
 +.if ${PORT_OPTIONS:MDRILL}
  PLIST_SUB+=	DRILLPROG=""
  MAN1+=	drill.1
  .else
  PLIST_SUB+=	DRILLPROG="@comment "
  .endif
 
 -.if defined(WITH_EXAMPLES)
 +.if ${PORT_OPTIONS:MEXAMPLES}
  PLIST_SUB+=	EXAMPLES=""
  NOMANCOMPRESS=	true
  MANCOMPRESSED=	no
 @@ -261,7 +263,7 @@
  PLIST_SUB+=	EXAMPLES="@comment "
  .endif
 
 -.if defined(WITH_PYLDNS)
 +.if ${PORT_OPTIONS:MPYLDNS}
  CONFIGURE_ARGS+=--with-pyldns
  BUILD_DEPENDS+=	${LOCALBASE}/bin/swig:${PORTSDIR}/devel/swig13
  INSTALL_TARGET+=install-pyldns
 @@ -271,30 +273,30 @@
  .endif
 
  post-configure:
 -.if defined(WITH_EXAMPLES)
 +.if ${PORT_OPTIONS:MEXAMPLES}
  	@(cd ${WRKSRC}/examples; ./configure --prefix=${PREFIX} \
  		--infodir=${PREFIX}/${INFO_PATH} --mandir=${MANPREFIX}/man \
  		--build=${CONFIGURE_TARGET} ${NO_GOST} ${NO_SHA2})
  .endif
 -.if defined(WITH_DRILL)
 +.if ${PORT_OPTIONS:MDRILL}
  	@(cd ${WRKSRC}/drill; ./configure --prefix=${PREFIX} \
  		--mandir=${MANPREFIX}/man \
  		--build=${CONFIGURE_TARGET})
  .endif
 
  post-build:
 -.if defined(WITH_EXAMPLES)
 +.if ${PORT_OPTIONS:MEXAMPLES}
  	 @(cd ${WRKSRC}/examples; ${GMAKE})
  .endif
 -.if defined(WITH_DRILL)
 +.if ${PORT_OPTIONS:MDRILL}
  	 @(cd ${WRKSRC}/drill; ${GMAKE})
  .endif
 
  post-install:
 -.if defined(WITH_EXAMPLES)
 +.if ${PORT_OPTIONS:MEXAMPLES}
  	@(cd ${WRKSRC}/examples; ${GMAKE} install)
  .endif
 -.if defined(WITH_DRILL)
 +.if ${PORT_OPTIONS:MDRILL}
  	@(cd ${WRKSRC}/drill; ${GMAKE} install)
  .endif
 
 --- dns/ldns.patch ends here ---
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-10-06 19:46:54 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

rescue from misformatting
Comment 2 Edwin Groothuis freebsd_committer 2012-10-06 19:48:50 UTC
Maintainer of dns/ldns,

Please note that PR ports/171934 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171934

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-10-06 19:48:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jaap Akkerhuis 2012-10-08 11:12:08 UTC
    > Maintainer of dns/ldns,

    > Please note that PR ports/171934 has just been submitted.

Thanks for the converting the makefile to use the OptionsNG framework.
I was planning to do that when the port would be updated. The
developers tell me that they will have a new version with bug fixes
and feature enhancements later to day of tomorrow.

Therefore I propose not to issue a revision but wait for the new
updated version. Again, thanks for the work, it will save me quite
some time.

Regards,

	jaap
Comment 5 Frederic Culot freebsd_committer 2012-10-24 05:22:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 6 Frederic Culot freebsd_committer 2012-10-24 06:42:51 UTC
State Changed
From-To: feedback->closed

Committed with ports/173003. Thanks!